
#include "hmg.ch"

*----------------------------------------*
*   Mustafa Lpez  mustalopez@gmail.com
*----------------------------------------*

*------------------------------------------------------------*
Function Main()
*------------------------------------------------------------*

 PRIVATE cFileNameY ,  cFileNameQ 
 PRIVATE  XcFrom   // :=  tuEmail@gmail.com           <------- ejemplo e-mail emisor    gmail o yahoo 
 PRIVATE  XcPass   // :=  tu Paswword****             <------- el Password del Correo emisor
 PRIVATE  XcTo     // :=  aquienmandas@gmail.com      <------- ejemplo e-mail receptor
 PRIVATE  XcsunTo  :=  "Prueba con CDO" 
 PRIVATE  Xcontent :=  "Shipping Date"+SPACE(2)+DTOC(DATE())+SPACE(2)+TIME()  // "Este es un mensaje de prueba con CDO desde Harbour." 

  XcFrom     := "xxxxxxxx@gmail.com"  // e-mail emisor 
  XcPass     := "xxxxxPassword"       // el Password del Correo emisor
  XcTo       := "xxxxxxxx@yahoo.es"   // e-mail receptor
  cFileNameY := HB_CurDrive() + ":\" + Alltrim(CurDir())+"\Imagen01.jpg"    // aqui los ficheros adjuntos
  cFileNameQ := HB_CurDrive() + ":\" + Alltrim(CurDir())+"\Imagen02.jpg"    // aqui los ficheros adjuntos

/*
http://harbouradvisor.blogspot.com/

Para enviar correo utilizamos dos componentes. El primero de ellos, 
referido a la configuracin del servicio de correo, se usa para establecer 
la informacin de la cuenta que utilizaremos para el envo de correo.
 
Ntese la particular nomenclatura de las variables del componente, 
al principio me cost un poco encontrar la forma de acceder directamente 
a ellos para darles un valor, que al final lo resolv por analoga con ADO, 
usando la propiedad 'Value'.

*/

loCfg := CREATEOBJECT( "CDO.Configuration" )
WITH OBJECT loCfg:Fields
:Item( "http://schemas.microsoft.com/cdo/configuration/smtpserver" )      :Value := "smtp.gmail.com"
:Item( "http://schemas.microsoft.com/cdo/configuration/smtpserverport" )  :Value := 465
:Item( "http://schemas.microsoft.com/cdo/configuration/sendusing" )       :Value := 2
:Item( "http://schemas.microsoft.com/cdo/configuration/smtpauthenticate" ):Value := .T.
:Item( "http://schemas.microsoft.com/cdo/configuration/smtpusessl" )      :Value := .T.
:Item( "http://schemas.microsoft.com/cdo/configuration/sendusername" )    :Value := ALLTRIM(XcFrom)    
:Item( "http://schemas.microsoft.com/cdo/configuration/sendpassword" )    :Value := ALLTRIM(XcPass)    
:Update()
END WITH

/*
En este ejemplo hay otra particularidad: como usamos gmail, el puerto del smtp
no es el estandar 25, sino 465, y requiere ademas autenticacin usando ssl.

Para componer el mensaje propiamente dicho usamos el componente Message, 
que tiene las propiedades normales de todo correo: To, From, CC, BCC, etc.
*/


loMsg := CREATEOBJECT ( "CDO.Message" )
WITH OBJECT loMsg
     :Configuration := loCfg
     :From          := ALLTRIM( XcFrom )        
     :To            := ALLTRIM( XcTo)         
     :Subject       := ALLTRIM( XcsunTo )       
     :TextBody      := ALLTRIM( Xcontent ) 
     :AddAttachment( cFileNameY )               
     :AddAttachment( cFileNameQ )              

:Send()         	

ENDWITH 
MsgInfo ( "Your Email was sent correctly ", " Warning Message ")   &&  <----  Optional Info

Return Nil
